@font-face {
    font-family: "GT Super";
    src: url("../../fonts/Grilli-Type/GT-Super-Display-Light.woff2") format("woff2");
}

@font-face {
    font-family: "GT Super";
    src: url("../../fonts/Grilli-Type/GT-Super-Display-Bold.woff2") format("woff2");
    font-weight: bold;
}

section {
    padding-top: 80px;
    padding-bottom: 41px;
    color : #025A4D;
    font-family: "Roboto Mono";
}

.btn-3D {
    display: inline;
    position: relative;

    .btn {
        color: #025A4D;
        position: absolute;
        font-size: 18px;
        background-color: #F6E53B;
        border: solid 1px #025A4D;
        &::before {
            position: absolute;
            content: '';
            bottom: -9px;
            height: 7px;
            width: 100%;
            left: 3px;
            transform: skewX(45deg);
            border: solid 1px #025A4D;
        }
        &::after {
            position: absolute;
            content: '';
            right: -8px;
            height: 100%;
            width: 6px;
            bottom: -5px;
            transform: skewY(45deg);
            border: solid 1px #025A4D;
        }
    }
    .square {
        position: absolute;
        height: 47px;
        background-color: white;
        border : solid 1px #025A4D;
        left: 8px;
    }
}

button {
    font-family: "Roboto Mono";
}

a,button {
    text-decoration: none;
    cursor: pointer;
}

.article1 {
    display: flex;
    background-image: url("../../img/homePage/article 1/Background.png");
    background-repeat: no-repeat;
    .leftPart {
        width: 35%;

        & > p{
            font: {
                size: 51px;
                size: 3.542vw;
                family: "GT Super";
                weight: bold;
            }
            width : 100%;
            margin-bottom: revert;
        }

        .trees {
            display: flex;
            font-family: "Roboto Mono";
            
            .tree {
                width: 120px;
                margin-right: 5%;
                padding: 15px;
            }

            .tree1 {
                color : white;
                background-color: #025A4D;
            }
            .tree2 {
                color : #025A4D;
                background-color: white;
                border : solid 1px #025A4D;
            }

            .number {
                font-size : 25px;
                font-weight: bold;
            } 

            .description {
                font-size : 18px; 
            } 

        }
    }

    .rightPart {
        font-family: "Roboto Mono";
        font-size: 15px;
        display: flex;
        &>img {
            background-color: white;
            padding: 10px;
            object-fit: cover;
        }
        .musicDescription {
            position: relative;
            .musicTitle {
                display: flex;
                padding-bottom: 5px;

                img {
                    height:16px;
                }
            }

            .current-bi {
                display: flex;
                justify-content: space-between;
                margin-bottom: 30px;

                .time {
                    font-size: 30px;
                    font-weight: bold;
                }
            } 
            .input-eth {
                position: relative;
                margin-bottom: 20px;

                input {
                    width: 50%;
                    border: 2px solid #025A4D;
                    height : 45px;
                    margin-bottom: 10px;
                    padding-left: 10px;
                }
                input::-webkit-inner-spin-button {
                    -webkit-appearance: none;
                }
                input:read-write { 
                    color: #025A4D; 
                }
                input:focus {
                    outline: none;
                }
                #crypto {
                    position: absolute;
                    top: 12px;
                    font-size: 15px;
                }
                .btn-bid {
                    @extend .btn-3D;
                    margin-left: 20px;
                }
                
                p {
                    font-size: 12px;
                }
            }
            .other-music {
                display: grid;
                grid-template-rows: repeat(3, fit-content(20%));
                grid-gap: 10px;
                .music {
                    font-weight: bold;
                    font-size: 12px;
                    display: grid;
                    grid-template-columns: 10% 50% 20px 1fr 1fr;
                    align-items: center;
                    grid-gap: 5px;
                    .musicImg {
                        width: 20px;
                    }
                    p {
                        overflow: hidden;
                        text-overflow: ellipsis;
                    }
                }
                #bid-history {
                    display: grid;
                    font-size: 10px;
                    grid-template-columns:repeat(2, fit-content(40%));
                    align-items: center;
                    grid-gap: 10px ;
                }
            }
            .circle {
                position: absolute;
            }
        }
    }
}

.article2 {
    width: 100%;
    font-family: "GT Super";
    font-weight: bold;
    white-space: nowrap;
    overflow-x: hidden;
    
    .textVisible {
        width: 100%;
        position: absolute;
        overflow: hidden;
        padding-top: 10px;
        .left {
            float: left;
            position: relative;
            left:-2%;
            margin-bottom: 30px;

            span {
                background-image: url("../../img/homePage/article 2/Border.png");
                padding: 10px 20px;
                background-repeat: no-repeat;
                background-size: 100% 100%;
            }
        }
        .right {
            float: right;            
            right: -1%;
            position: relative;
        }
    }
    .textBackground {
        opacity: 0.05;
        .left {
            float: left;
            position: relative;
            left: -20%;
            top: 10px;
        }
        .right {
            float: right;
            position: relative;
            right: -25%;
        };
    }
}


.article3 {
    padding : 50px 15%;
    .actions {
        display: grid;
        align-items: flex-start;
        justify-items: center ;
        .action {
            text-align: center;
            position: relative;
            display: grid;
            align-items: center;
            justify-items: center;
            grid-gap: 20px;
            .btn-action-parent {
                height: 60px;
            }
            .btn-action {
                @extend .btn-3D;
                margin: 0;
                left: calc(50% - 40px);
                .btn {
                    padding: 10px 25px;
                    &::after {
                        right : -9px;
                    }
                    &::before {
                        bottom: -8px;
                        height: 6px;
                        width: 100%;
                        left: 3px;
                    }
                }

                .square {
                    width: 79px;
                    height: 45px;
                    top: 7px;
                    left: 7px;
                }
            }
        }

        #specialAction {
            grid-template-rows: 200px 80px;
            position: relative;
            .btn-action-parent{
                transform: rotate(90deg) scale(1,-1);

                .btn {
                    background-color: #025A4D;
                }
            }

            .hand {
                position: absolute;
                top: 110px;
                left: 100px;
            }
        }
    }
}

.article4 {
    margin-top: 100px;
    .music-and-notes {
        .curvedSentence{
            padding: 0 10% 50px 10%;
        }
        .notes {
            position: relative;
            height: 40px;
            .btn-note {
                width: 2%;
                @extend .btn-3D;
                left: 81%;
                bottom: 180px;
                margin: 0;
                transform: rotateZ(9deg);
                .btn {
                    padding: 20px 40px;
                    background-color: white;
                    &::after {
                        right : -8px;
                    }
                    &::before {
                        bottom: -8px;
                        height: 6px;
                        width: 100%;
                        left: 3px;
                    }
                }

                .square {
                    width: 80px;
                    height: 40px;
                    top: 7px;
                    left: 7px;
                    background-color: rgb(0,0,0,0);
                }
                .note3 {
                    width : 30px;
                    top:0;
                    left: 0;
                    margin-left: calc(50% - 15px);
                    margin-top: 5%;
                }
            }
            img {
                width: 2% ;
                position: absolute;
            }
            .note1 {
                left: 15%;
                bottom: 55px;
            }
            .note2 {
                left: 63%;
                bottom: 50px;
            }
            .note4 {
                left: 94%;
                bottom: 140px;
            }
        }
        .lstMusic {
            overflow-x: clip;
            background-color: white;
            img {
                position: relative;
                width: 13%;
                min-width: 170px;
                height: 20.63vh;
                padding: 20px;
                transition: .4s;
                top: 0;
                &:hover {
                    transition: .4s;
                    top: -30px;
                }
            }
            
        }
    }
}

.article5 {
    h1 {
        padding-bottom: 80px;
    }

    .listen {
        display: grid;
        padding-bottom: 50px;
        grid-template-columns: 70% 20% ;
        align-items: center;
        grid-gap: 10%;
        img {
            width: 100%;
        }
    }

    .information {
        background-repeat: no-repeat;
        background-size: 100% 100%;
        display: grid;
        grid-gap : 10%;
        .buttons {
            display: flex;
            gap: 10%;
            position: relative;
            .btn-information {
                @extend .btn-3D;
                margin: 0;
                left: 0;
                top: 140%;
                width: 40%;
                height: 100%;
                .btn {
                    font-weight: bold;
                    height: 100%;
                    width: 100%;
                    &::after {
                        right : -8px;
                    }
                    &::before {
                        bottom: -8px;
                        height: 6px;
                        width: 100%;
                        left: 3px;
                    }
                }

                .square {
                    width: calc(100% - 2px);
                    height: calc(100% - 2px);
                    top: 7px;
                    left: 7px;
                    background-color: rgb(0,0,0,0);
                }
            }
            #go-below {
                .btn {
                    background-color: white;
                }
            }
        }
    }
}

.article6 {
    .team {
        background-repeat: no-repeat;
        background-size: 100% 100%;
        text-align: center;
        position: relative;

        .rectangle-background {
            position: absolute;
            width : 71%;
            height: 89%;
            left: 15%;
            top: 7%;
            z-index: -1;
            background-color: white;
            
        }

        .team-members {
            margin-top: 40px;
            
            .column {
                display: grid;
                grid-gap: 30px;

                .member-image {
                    height: 100%;
                    width: 100%;
                }
            }

            .member {
                position: relative;
                

                .parent-member-information {
                    width: calc(100% - 30px);
                    height: calc(100% - 30px);
                    position: absolute;
                    inset: 0;
                    padding: 15px;

                    &:hover {
                        .member-information{
                            visibility: visible;
                            opacity: 1;
                            transition: .3s;
                        }
                    }

                    .member-information {
                        visibility: hidden;
                        opacity: 0;
                        transition: .3s;
                        width: calc(100% - 30px);
                        height: calc(100% - 40px);
                        background-color: #F6E53B;
                        text-align: left;
                        border: solid 1px #025A4D;
                        display: flex;
                        justify-content: space-between;
                        flex-direction: column;
                        padding: 20px 15px;

                        .name {
                            font-weight: bold;
                            font-size: 25px;
                            font-size: 1.736vw;
                        }
                        .text {
                            flex: 100%;
                        }
                        .description {
                            font-size: 18px;
                            font-size: 1.250vw;
                            line-height: 165%;
                            height: 70%;
                            position: relative;
                            top: 10%;
                        }
                        .middle-size {
                            .name {
                                font-size: 22px;
                                font-size: 1.57vw;
                            }
                            .description {
                                font-size: 16px;
                                font-size: 1.14vw;
                                line-height: 130%;
                            }
                        }
                        .little-size {
                            .name {
                                font-size: 20px;
                                font-size: 1.4vw;
                            }
                            .description {
                                font-size: 14px;
                                font-size: .9vw;
                                line-height: 130%;
                            }
                        }
                        .links {
                            height: 12%;
                            display: flex;
                            a {
                                text-decoration: none;
                                margin-right: 5%;
                                &:hover {
                                    .link {
                                        box-shadow: 3px 3px 4px black;
                                        transition: .3s;
                                        height: 100%;
                                    }
                                }
                                .link {
                                    background-color: black;
                                    border-radius: 50% ;
                                    box-shadow: 2px 2px 0 black;
                                    height: 90%;
                                    transition: .3s;
                                }
                            }
                            
                        }
                    }
                }
            }
        }
    }
    
}

.article7 {
    background-color: white;
    padding-bottom: 300px;
    .our-mission {
        img {
            background-image: url("../../img/homePage/article 7/Background.png");
            background-repeat: no-repeat;
            background-size: 100% 100%;
        }
        
        p {
            font-size: 18px;
            font-size: 1.250vw;
            color: black;
            padding: 150px 19%;
            text-align: center;
        }
    }

    .list-mission {
        height: 18vh;
        display: grid;
        grid-template-columns: repeat(5, 10%);
        grid-gap: 5%;
        justify-content: center;

        .btn-mission {
            @extend .btn-3D;
            position: relative;

            .btn {
                width: 100%;
                height: 100%;
                font-weight: bold;
                font-size: 18px;
                font-size: 1.250vw;
                text-align: left;
                padding: 10%;

                &::before {
                    width: 99%;
                }
            }
            
            .square {
                width: calc(100% - 3px);
                height: calc(100% - 1px);
            }
        }
       
    }
}

.article8 {
    background-color: #025A4D;
    color: white;
    padding: 0 22% 300px 22%;

    .earth {
        width: 50%;
        margin: 0 25%;
        position: relative;
        bottom : 130px;
    }
    .text {
        font-size: 30px; 
        font-size: 2.083vw;
        font-weight: bold;
    }
    .line {
        width: 50%;
        padding: 70px 0 40px 0;
    }

}

.article9 {
    padding: 150px 19% 0 19%;

    h1 {
        padding-bottom: 30px;
    }
    .faq {
        padding-bottom: 70px;
        .subject{
            font-weight: bold;
            padding: 25px 0;
            display: inline-block;
        }
        
        .response {
            padding-bottom: 30px;
        }
        .chevron {
            float: right;
            padding: 25px 0;
        }
    
        .line {
            width: 100%;
        }
    }

    .links {
        justify-content: center;
        display: flex;
        padding: 0 30%;
        height: 10%;
        a{
            margin: 0 1%;
            width: 14%;
            position: relative;
        }
        .link {
            width: 70%;
            transition: .3s;
            position: absolute;
            &:hover {
                width: 100%;
                transition: .3s;
            }
        }
    }
}

.copyright {
    text-align: center; 
    background-image: url("../../img/homePage/article 9/Background.png");
    background-repeat: no-repeat;
    background-size: 100% 100%;
    height: 41vh;
    font-weight: bold;
    p {
        position: relative;
        top: 40%;
    }
}
@media all and (min-width : 1151px) {
    .article1 {
        .rightPart {
            .btn {
                padding: 9px 40px 14px 40px;
            }
            .square {
                width: 112px;
                top: -6px;
            }
        }
    }
}
@media all and (max-width : 1150px) {
    .article1 {
        .rightPart {
            .btn {
                padding: 9px 20px 14px 20px;
            }
            .square {
                width : 71px;
                top: -10px;
            }
        }
    }
}

@media all and (min-width : 801px ) {
    p {
        font-size: 18px;
        font-size: 1.250vw;
    }

    .article1 {
        padding: 100px 7% 0 7%;
        background-size: 100% 100%;
        margin-bottom: 200px;
        .rightPart {
            background-image: url("../../img/homePage/article 1/Border 1.png");
            background-repeat: no-repeat;
            background-size: 100% 100%;
            font-size : 1vw;
            padding: 20px;

            &>img {
                width:50%;
            }

            .circle {
                right: -20%;
                bottom: -70px;
                width: 35%;
            }
            .musicDescription{
                padding: 10px 25px;

                h2 {
                    margin-bottom: 30px;
                    font-size: 30px;
                    font-size: 2vw;
                }
                .current-bi {
                    .time {
                        font-size: 2vw;
                    }
                }
                .input-eth{
                    p {
                        font-size: 0.833vw;
                    }
                    #crypto {
                        right: 35%;
                        left: 40%;
                    }
                }
                .music {
                    font-size: 0.833vw;
                }
                #bid-history {
                    font-size: 0.694vw;
                }
            }
        }
    }

    .article2 {
        .textVisible {
            .left {
                left:-2%;
                margin-bottom: 30px;
                font-size: 7.500vw;
                font-size: 108px;
                span {
                    padding: 10px 20px;
                    background-size: 100% 100%;
                }
            }
            .right {
                right: -1%;
                font-size: 7.361vw;
                font-size: 108px;
            }
        }
        .textBackground {
            .left {
                font-size: 166px;
                left: -20%;
                top: 10px;
                font-size: 11.528vw;
                font-size: 166px;
            }
            .right {
                font-size: 160px;
                font-size: 11.111vw;
                right: -25%;
            };
        }
    }

    .article3 {
        font-size: 18px;
        font-size: 1.111vw;

        .actions {
            grid-template-columns: repeat(3,33.3%);
            grid-template-rows: repeat(2,300px);
            grid-gap: 20px 0;
            .action {
                grid-template-rows: 120px 55px 65px;
            }
        }
    }

    .article4 {
        &>img {
            margin-left: 25%;
            width: 18%;
        }
        .music-and-notes {
            background-image: url("../../img/homePage/article 4/Background.png");
            background-size: 100% 100%;
            .curvedSentence {
                width: 80%;
            }
            .notes {
                display: flex;
            }
            .lstMusic {
                display: flex;
            }
        }
    }
    .article5 {
        padding: 150px 15%;
        font-size: 18px;
        font-size: 1.250vw;

        .information {
            width: 95%;
            padding: 5%;
            grid-template-columns : 55% 35%;
            background-image: url("../../img/homePage/article 5/Background.png");
            
            .btn {
                font-size: 1.250vw;
            }
        }
    }

    .article6 {
        padding: 150px 15%;
        .team {
            padding: 60px 5% 100px 5%;
            background-image: url("../../img/homePage/article 6/Background.png");
            .team-members {
                display: grid;
                grid-template-columns: 30% 36% 32% ;
                grid-gap: 3%;
                justify-content: center;
            }
        }
        .rectangle-background {

        }
    }
}

@media all and (max-width : 800px ) {
    
    p {
        font-size: 18px;
    }

    .article1 {
        padding : 50px 7%;
        margin-bottom: 30px;
        justify-content: center;
        .leftPart {
            display: none;
        }

        .rightPart {
            padding: 0;
            flex-direction: column;
            &>img {
                display: block;
                width: calc(100% - 20px);
            }

            .musicDescription{
                padding-top: 20px;
                display: block;

                .musicTitle {
                    flex-direction: column;
                    p {
                        order: 2;

                    }
                    img {
                        padding: 0 10px 10px 0;
                    }
                }
                h2 {
                    margin-bottom: 30px;
                    font-size: 30px;
                }
                .music p{
                    font-weight: bold;
                    font-size: 15px;
                }
                #bid-history p {
                    font-size: 12px;
                }
                .input-eth{
                    #crypto {
                        right: 35%;
                    }
                    input {
                        width: 70%;
                    }
                    .btn-bid {
                        .square {
                            top: -5px;
                            width: 72px;
                        }
                    }
                }
            }
        }
        .circle {
            top: -50px;
            width: 25%;
            right: 2%;
        }
    }

    .article2 {
        padding: 50px 0;
        display: block;
        .textVisible {
            .left {
                font-size: 40px;
                left:-11%;
                margin-bottom: 30px;
    
                span {
                    padding: 10px 15px;
                }
            }
            .right {
                font-size: 40px;
                right: -37%;
            }
        }
        .textBackground {
            .left {
                font-size: 60px;
                left: -35%;
                top: 15px;
            }
            .right {
                font-size: 60px;
                left: 82%;
                top: 25px
            };
        }
    }

    .article3 {
        overflow: hidden;
        .actions {
            grid-template-rows: repeat(6,fit-content(20%));
            grid-gap: 70px;
            .action {
                grid-template-rows: repeat(3, fit-content(120px));
            }
        }
    }

    .article4 {
        .shooe-and-note {
            background-image: url("../../img/homePage/article 1/Background.png");
            background-repeat: no-repeat;
            background-position: center -65px;
            background-size: auto;
            padding: 0 12.5% 45px 12.5%;
            width: 75%;
            position: relative ;
            overflow: hidden;

            .shoe {
                width: 100%;
            }
            .curvedSentence {
                position: relative;
                width: 1300px;
                left: -8%;
                bottom: 55px;
            }
            .notes {
                display: flex;
                height: 27.23px;
                .btn-note {
                    transform: rotateZ(7deg);
                    display: inline;
                    position: absolute;
                    left: 35%;
                    bottom : 120px;

                .btn {
                    color: #025A4D;
                    position: absolute;
                    font-size: 18px;
                    width: 80px;
                    height: 45px;
                    background-color: white;
                    border: solid 1px #025A4D;
                    &::before {
                        position: absolute;
                        content: '';
                        bottom: -9px;
                        height: 7px;
                        width: 99%;
                        left: 3px;
                        transform: skewX(45deg);
                        border: solid 1px #025A4D;
                    }
                    &::after {
                        position: absolute;
                        content: '';
                        right: -8px;
                        height: 100%;
                        width: 6px;
                        bottom: -5px;
                        transform: skewY(45deg);
                        border: solid 1px #025A4D;
                        }
                    }
                    .square {
                        position: absolute;
                        height: 44px;
                        width: 77px;
                        border : solid 1px #025A4D;
                        top: 7px;
                        left: 8px;
                    }
                    img {
                        margin-top: 5px;
                    }
                }
                .note2 {
                    position: absolute;
                    bottom: 53%;
                }
                .note4 {
                    position: absolute;
                    right: 25%;
                    bottom: 115px;
                }
                &>img {
                    width: 7%;
                }
            }
        }
        .music-and-notes {
            margin-top: 70px;

            .slider {
                position: relative;
                width: 100%;
                overflow: hidden;
                height: 350px;
                .slides {
                    background: white;
                    padding : 25px 0;
                    position: absolute;
                    top: 0;
                    left: 0;
                    display: flex;
                    height: 60%;
                    transform: translateX(-380px);
                    figure {
                        display: inline-block;
                        height: 100%;
                        img {
                            padding: 0 10px;
                            width: 210px;
                            height: 100%;
                            position: relative ;
                            transition: .3s;
                            bottom: 0;
                            &:hover {
                                bottom: 30px;
                                transition: .3s;
                            }
                        }
                    }
                }
            }
        }
    }

    .article5 {
        padding: 50px 7%;

        .listen {
            display: flex;
            flex-direction: column-reverse;

            img {
                width: 50%;
                padding-bottom: 40px;
            }
        }
        .information {
            grid-template-rows : 1fr 1fr; 
            background-image: url("../../img/homePage/article 5/Background Mobile.png");
            padding: 33px 10%;
            width: 80%;

            p {
                height: 96px;
            }
            .buttons {
                flex-direction: column;
                padding-top: 10px;
                .btn-information {
                    position: relative;
                    font-size: 18px;
                    top: 0;
                    width: 100%;
                    height: 46px;
                }
                #go-below {
                    top: 35px;
                }
            }
        }
    }

    .article6 {
        margin-top: 120px;
        .team {
            padding: 60px 0 100px 0;

            &::before {
                content: '';
                position: absolute;
                background-image: url("../../img/homePage/article 6/Background Mobile.png");
                background-repeat: no-repeat;
                background-size: 100% 100%;
                margin: 0 10%;
                top: 0;
                left: 0;
                width: 80%;
                height: 81%;
            }

            &::after {
                content: '';
                position: absolute;
                width : 71%;
                height: 62%;
                left: 15%;
                top: 16%;
                z-index: -1;
                background-color: white;
            }
            .rectangle-background {
            
            }

            
            h1 {
                padding: 0px 27%;
                height: 92px;
            }
            .slider {
                width: 100%;
                overflow: scroll;
                height: 500px;
                margin-top: 50px;
                .slides {
                    display: flex;
                    height: 100%;
                    //transform: translateX(-380px);
                    figure {
                        display: inline-block;
                        height: 100%;
                        position: relative;
                        img {
                            padding: 0 10px;
                            width: 260px;
                            height: 325px;
                            transition: .3s;
                            bottom: 0;
                            object-fit: cover;
                        }

                        &:hover {
                            img {
                                transition: .3s;
                                height: 400px;
                            }
                            .parent-member-information {
                                transition: .8s;
                                visibility: visible;
                                opacity: 1;
                            }
                        }
                        .parent-member-information {
                            position: absolute;
                            bottom: 20px;
                            left: 10px;
                            right: 10px;
                            padding: 0 8%;
                            visibility: hidden;
                            opacity: 0;
                            .member-information {
                                text-align: left;
                                background-color: #F6E53B;
                                border: solid 1px #025A4D;
                                padding: 22px 15px;
                                height: 50%;

                                .name {
                                    font-weight: bold;
                                    font-size: 20px;
                                    margin-bottom: 6px;
                                }
                                .description {
                                    font-size: 16px;
                                    line-height: 25px;
                                }
                            }
                        }
                    }
                }
            }

        }
    }
}